Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.util.packed
Class PackedInts.Header

    java.lang.Object
      org.apache.lucene.util.packed.PackedInts.Header

Enclosing class:
  PackedInts

    public static class PackedInts.Header

extends Object

Header identifying the structure of a packed integer array.

Constructor Summary
`PackedInts.Header(PackedInts.Format format, int valueCount, int bitsPerValue, int version)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PackedInts.Header

    public PackedInts.Header(PackedInts.Format format,
                             int valueCount,
                             int bitsPerValue,
                             int version)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.